Loading...
Searching...
No Matches
BALL::ResidueTorsions::Data Struct Reference

`#include <BALL/MOLMEC/PARAMETER/residueTorsions.h>`

## Public Member Functions

| Data (const String &name, const String &A, const String &B, const String &C, const String &D)
| Data ()
bool | operator== (const Data &data) const
bool | operator!= (const Data &data) const

## Public Attributes

String | residue_name
String | atom_name_A
String | atom_name_B
String | atom_name_C
String | atom_name_D

## Detailed Description

Strcuture containing the names of the residue and the atoms for a torsion.

Definition at line 43 of file residueTorsions.h.

## Constructor & Destructor Documentation

## Data() [1/2]

BALL::ResidueTorsions::Data::Data | ( | const String & | name,
|  | const String & | A,
|  | const String & | B,
|  | const String & | C,
|  | const String & | D )

inline

Definition at line 51 of file residueTorsions.h.

## Data() [2/2]

BALL::ResidueTorsions::Data::Data | ( |  | ) |

inline

Definition at line 60 of file residueTorsions.h.

## Member Function Documentation

## operator!=()

bool BALL::ResidueTorsions::Data::operator!= | ( | const Data & | data | ) | const

## operator==()

bool BALL::ResidueTorsions::Data::operator== | ( | const Data & | data | ) | const

## Member Data Documentation

## atom_name_A

String BALL::ResidueTorsions::Data::atom_name_A

Definition at line 46 of file residueTorsions.h.

## atom_name_B

String BALL::ResidueTorsions::Data::atom_name_B

Definition at line 47 of file residueTorsions.h.

## atom_name_C

String BALL::ResidueTorsions::Data::atom_name_C

Definition at line 48 of file residueTorsions.h.

## atom_name_D

String BALL::ResidueTorsions::Data::atom_name_D

Definition at line 49 of file residueTorsions.h.

## residue_name

String BALL::ResidueTorsions::Data::residue_name

Definition at line 45 of file residueTorsions.h.